Resource

Subscriber Notification Template

Links subscriber notification templates to specific status pages. This allows you to use different notification templates for different status pages.

The Subscriber Notification Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page this template is linked to

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of the Status Page this template is linked to

  • Name
    statusPageSubscriberNotificationTemplate
    Type
    Subscriber Notification Template
    Description

    The notification template to use for this status page

  • Name
    statusPageSubscriberNotificationTemplateId
    Type
    Object IDRequired
    Description

    ID of the notification template linked to this status page

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/status-page-subscriber-notification-template-status-page/get-list

List

This endpoint allows you to retrieve a paginated list of all your Subscriber Notification Template. By default, a maximum of ten Subscriber Notification Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-subscriber-notification-template-status-page/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "statusPageSubscriberNotificationTemplateId": true,
    "_id": true,
    "createdAt": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377dedc0-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377dedc1-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377dedc2-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/status-page-subscriber-notification-template-status-page/:id/get-item

Get item by ID

This endpoint allows you to retrieve Subscriber Notification Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-subscriber-notification-template-status-page/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "statusPageSubscriberNotificationTemplateId": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/status-page-subscriber-notification-template-status-page/count

Count

This endpoint allows you to retrieve the count of all your Subscriber Notification Template.

Optional Request Body

Count Request

POST
/api/status-page-subscriber-notification-template-status-page/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/status-page-subscriber-notification-template-status-page

Create Subscriber Notification Template

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-subscriber-notification-template-status-page
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000",
    "project": "Example project"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/status-page-subscriber-notification-template-status-page/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber-notification-template-status-page/:id/update-item
GET/api/status-page-subscriber-notification-template-status-page/:id/update-item

Update Request

PUT
/api/status-page-subscriber-notification-template-status-page/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "statusPageSubscriberNotificationTemplateId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageSubscriberNotificationTemplate": "Example notification template"
  }
}

Response

{}
DELETE/api/status-page-subscriber-notification-template-status-page/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber-notification-template-status-page/:id/delete-item
GET/api/status-page-subscriber-notification-template-status-page/:id/delete-item

Delete Request

DELETE
/api/status-page-subscriber-notification-template-status-page/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Subscriber Notification Template Link
  • Read All Project Resources

Create Permissions

Required to create Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Subscriber Notification Template Link

Update Permissions

Required to update Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Subscriber Notification Template Link

Delete Permissions

Required to delete Subscriber Notification Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Subscriber Notification Template Link